package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingCftInfo;
import com.jiayue.ipp.idp.service.an.ParsingCftInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingCftController")
public class ParsingCftController {
    @Autowired
    ParsingCftInfoService parsingCftInfoService;

    @ApiOperation(value = "添加Cft配置", notes = "添加Cft配置")
    @PostMapping()
    public R add(@RequestBody ParsingCftInfo parsingCftInfo) {
        if (parsingCftInfoService.save(parsingCftInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改Cft配置", notes = "修改Cft配置")
    @PutMapping()
    public R update(@RequestBody ParsingCftInfo parsingCftInfo) {
        if (parsingCftInfoService.updateById(parsingCftInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Cft配置", notes = "根据id删除Cft配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingCftInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Cft配置", notes = "分页查询Cft配置")
    @GetMapping("/page")
    public R page(ParsingCftInfo parsingCftInfo, Page page) {
        return R.ok(parsingCftInfoService.page(page, Wrappers.query(parsingCftInfo)));
    }
}
